/*******************************************************************************
 * This file is part of OpenNMS(R).
 *
 * Copyright (C) 2017-2017 The OpenNMS Group, Inc.
 * OpenNMS(R) is Copyright (C) 1999-2017 The OpenNMS Group, Inc.
 *
 * OpenNMS(R) is a registered trademark of The OpenNMS Group, Inc.
 *
 * OpenNMS(R) is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as published
 * by the Free Software Foundation, either version 3 of the License,
 * or (at your option) any later version.
 *
 * OpenNMS(R) is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 *
 * You should have received a copy of the GNU Affero General Public License
 * along with OpenNMS(R).  If not, see:
 *      http://www.gnu.org/licenses/
 *
 * For more information contact:
 *     OpenNMS(R) Licensing <license@opennms.org>
 *     http://www.opennms.org/
 *     http://www.opennms.com/
 *******************************************************************************/

package org.opennms.netmgt.poller;

import java.util.ArrayList;
import java.util.List;
import java.util.Objects;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;

@XmlRootElement(name="properties")
@XmlAccessorType(XmlAccessType.NONE)
public class PollStatusProperties {

    @XmlElement(name="property")
    private List<PollStatusProperty> properties;

    public PollStatusProperties() {
        properties = new ArrayList<>(0);
    }

    public PollStatusProperties(List<PollStatusProperty> properties) {
        this.properties = properties;
    }

    public List<PollStatusProperty> getProperties() {
        return properties;
    }

    public void setProperties(List<PollStatusProperty> properties) {
        this.properties = properties;
    }

    @Override
    public boolean equals(final Object other) {
        if (!(other instanceof PollStatusProperties)) {
            return false;
        }
        PollStatusProperties castOther = (PollStatusProperties) other;
        return Objects.equals(properties, castOther.properties);
    }

    @Override
    public int hashCode() {
        return Objects.hash(properties);
    }

}
